function [] = T1O2(xT,yT,xO,yO,xO2,yO2)

%t = 0;
%xT=30;
%yT=30;
vxT=0;
vyT=0;

%xO = 15;
%yO = 15;
pO = 10;
ne = 20;
vxO = 0;
vyO = 0;
vxO2 = 0;
vyO2 = 0;

xRi = 0;
yRi = 0;
vxRi = 0;
vyRi = 0;
aMax = 20;
%pRo = (vo*vo)/aMax;
fismat = readfis('rmp_repulsive');

dx = xT-xRi;
dxO = (xRi-xO);
dxO2 = (xRi-xO2);
dy = (yT-yRi);
dyO = (yRi-yO);
dyO2 = (yRi-yO2);
dvx = vxRi-vxT;
dvxO = vxRi-vxO;
dvxO2 = vxRi-vxO2;
dvy = vyRi-vyT;
dvyO = vyRi-vyO;
dvyO2 = vyRi-vyO2;
in = [-dx -dy -dvx -dvy];
%file_name1 = strcat('datax_',num2str(i),'_',num2str(j),'.dat');
%file_name2 = strcat('datay_',num2str(i),'_',num2str(j),'.dat');
%f1 = fopen(file_name1, 'wt');
%f2 = fopen(file_name2, 'wt');

%fprintf(fid, '%s\n%d\n', 'rmp', 3*2);
for t=0:0.3:120
    dt = 0.3;
    %out = evalfis(in,fismat);
    if dxO == 0 && dyO ==0
        theta = 0;
    elseif dxO == 0
        theta = (pi/2)*sign(dyO);
    else
        
            
            if dxO < 0
                    theta = atan(dyO/dxO);
            else
                  theta = pi + atan(dyO/dxO); 
            end
        %else 
         %   theta = pi + atan(dyO/dxO);
         %   disp('I am here');
        %end
    end
    pObs = dxO*dxO + dyO*dyO ;
    pObs = sqrt(pObs);
    vRoPl = dvxO * cos(theta) + dvyO * sin(theta);
    vRoPp = dvxO * sin(theta) + dvyO * cos(theta);
    pRo = (vRoPl*vRoPl)/aMax;
    
    
    if pObs-pRo > pO || vRoPl < 0
        Frx = 0;
        Fry = 0;
    else
        FpL = ((1+(vRoPl/aMax))*(-ne))/((pObs - pRo)*(pObs - pRo));
        Fpp = (ne*vRoPl*vRoPp)/(pObs*aMax*(pObs - pRo)*(pObs - pRo));
        Frx = FpL * cos(theta) + Fpp * sin(theta);
        Fry = FpL * sin(theta) + Fpp * cos(theta);
        %disp('im here');
    end
    
    if dxO2 == 0 && dyO2 ==0
        theta2 = 0;
    elseif dxO2 == 0
        theta2 = (pi/2)*sign(dyO2);
    else
        
            %theta2 = atan(dyO2/dxO2);
            if dxO2 < 0
                    theta2 = atan(dyO2/dxO2);
            else
                  theta2 = pi + atan(dyO2/dxO2); 
            end

        %else 
         %   theta2 = pi + atan(dyO2/dxO2);
         %   disp('I am here');
        %end
    end
    pObs2 = dxO2*dxO2 + dyO2*dyO2 ;
    pObs2 = sqrt(pObs2);
    vRoPl2 = dvxO2 * cos(theta2) + dvyO2 * sin(theta2);
    vRoPp2 = dvxO2 * sin(theta2) + dvyO2 * cos(theta2);
    pRo2 = (vRoPl*vRoPl)/aMax;
    
    
    if pObs2-pRo2 > pO || vRoPl2 < 0
        Frx2 = 0;
        Fry2 = 0;
    else
        FpL2 = ((1+(vRoPl/aMax))*(-ne))/((pObs2 - pRo)*(pObs2 - pRo));
        Fpp2 = (ne*vRoPl*vRoPp2)/(pObs2*aMax*(pObs2 - pRo)*(pObs2 - pRo));
        Frx2 = FpL2 * cos(theta2) + Fpp2 * sin(theta2);
        Fry2 = FpL2 * sin(theta2) + Fpp2 * cos(theta2);
        %disp('im here');
    end

    
    F = evalfis(in,fismat);
    Fx = F(1) + Frx + Frx2;
    Fx = min(Fx,aMax);
    Fx = max(Fx,-aMax);
    
    Fy = F(2) + Fry + Fry2;
    Fy = min(Fy,aMax);
    Fy = max(Fy,-aMax);
        
    
    xR = xRi + (vxRi*dt) + (0.5*Fx*dt*dt);
    vxR = vxRi + Fx*dt;
    yR = yRi + (vyRi*dt) + (0.5*Fy*dt*dt);
    vyR = vyRi + Fy*dt;
    
    xT = xT +(vxT*t);
    %vxT = 0;
    yT = yT + vyT*t;
    %vyT = 0;
    xO = xO +(vxO*t);
    yO = yO + vyO*t;
    xO2 = xO2 +(vxO2*t);
    yO2 = yO2 + vyO2*t;

    plot(xT,yT,'-.or')
    hold on
    plot(xO,yO,'-.or')
    hold on
    plot(xO2,yO2,'-.or')
    hold on
    plot(xR,yR,'-.+b')
    hold on
    %dlmwrite(file_name1,[dxO dyO Frx],'-append','delimiter',',');
    %dlmwrite(file_name2,[dxO dyO Fry],'-append','delimiter',',');
    %plot(xR,theta,'-.or')
    %hold on
    
    xRi = xR;
    yRi = yR;
    vxRi = vxR;
    vyRi = vyR;
    
    dx = xR-xT;
    dxO= xR-xO;
    dxO2= xR-xO2;
    dx = min(dx,40);
    dx = max(dx,-40);
    dy = yR-yT;
    dyO = yR-yO;
    dyO2 = yR-yO2;
    dy = min(dy,40);
    dy = max(dy,-40);
    dvx = vxR-vxT;
    dvxO = (vxR-vxO);
    dvxO2 = (vxR-vxO2);
    dvx = min(dvx,10);
    dvx = max(dvx,-10);
    dvy = vyR-vyT;
    dvyO = (vyR-vyO);
    dvyO2 = (vyR-vyO2);
    dvy = min(dvy,10);
    dvy = max(dvy,-10);
    in = [-dx -dy -dvx -dvy];
end


%fclose(f1);
%fclose(f2);
end